if status is-interactive
    # Commands to run in interactive sessions can go here
end

set fish_greeting
 
# setup path
fish_add_path $HOME/.local/bin
fish_add_path $HOME/bin
fish_add_path /snap/bin

if command -v composer &> /dev/null
    fish_add_path $HOME/.composer/vendor/bin
    fish_add_path $(composer global config bin-dir --absolute --quiet)
end

fish_add_path $HOME/.symfony/bin

set fish_function_path (path resolve $__fish_config_dir/functions/*/) $fish_function_path
set fish_complete_path (path resolve $__fish_config_dir/completions/*/) $fish_complete_path

set -gx XDG_CONFIG_HOME $HOME/.config
